UTxOs by Dunes
curl --request GET \
--url https://xdg-mainnet.gomaestro-api.org/v0/assets/dunes/{dune}/utxos \
--header 'api-key: <api-key>'import requests
url = "https://xdg-mainnet.gomaestro-api.org/v0/assets/dunes/{dune}/utxos"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://xdg-mainnet.gomaestro-api.org/v0/assets/dunes/{dune}/utxos', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"address": "D8UC42uehZdBYAfMBJumQKuBNs9vvarxtt",
"confirmations": 1336,
"dune_amount": "0.00001000",
"height": 5280972,
"satoshis": "100000",
"script_pubkey": "76a9142484e20925fa4d816f04b313b07162a0f5f0961a88ac",
"txid": "cd990aa533ffb733934344fafbc07350ba5945a5a50fca3adb9845573a99e545",
"vout": 1
},
{
"address": "D8vgB8Viu2ZGMKBUHh4khtS9FzR6B1D4cK",
"confirmations": 1323,
"dune_amount": "1000.00000000",
"height": 5280985,
"satoshis": "100000",
"script_pubkey": "76a91429872c5e5a0a611372348ae5afd278a446dd155f88ac",
"txid": "55e0351b8904a44a337491da372d53138991f642a4eafb5d4a86c66cd30eb1fd",
"vout": 1
}
],
"last_updated": {
"block_hash": "caf5db9cfd306cccaec5f4fc92a3f47d9aa8e4007b3b74b6bdf97aab5f68808f",
"block_height": 5282308
},
"next_cursor": null
}Dunes
UTxOs by Dunes
Get unspent transaction outputs (UTxOs) containing a specific Dogecoin Dune token with address and amount details.
GET
/
assets
/
dunes
/
{dune}
/
utxos
UTxOs by Dunes
Authorizations
Project API Key
Path Parameters
Dune, specified either by the Dune ID (etching block number and transaction index) or name (spaced or un-spaced)
Query Parameters
The max number of results per page
Required range:
x >= 0The order in which the results are sorted (by height at which UTxO was produced)
Available options:
asc, desc Return only UTxOs created on or after a specific height
Required range:
x >= 0Return only UTxOs created on or before a specific height
Required range:
x >= 0Pagination cursor string, use the cursor included in a page of results to fetch the next page
Was this page helpful?

